This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 435062 - QEMU driver does not support <bootloader> for use with Xenner guests
QEMU driver does not support <bootloader> for use with Xenner guests
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LibvirtXenner
  Show dependency treegraph
 
Reported: 2008-02-26 23:07 EST by Daniel Berrange
Modified: 2008-11-04 06:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 06:11:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Support bootloader for xenner (3.96 KB, patch)
2008-05-10 13:26 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2008-02-26 23:07:38 EST
Description of problem:
The QEMU driver is able to launch paravirt Xen guests using Xenner on KVM. THis
works if using a direct kernel/initrd pair, but usual practice is to boot using
the kernel/initrd from inside the guest. This requires use of the pygrub
bootloader, but this is not supported by the QEMU driver. This means
virt-install is unable to launch the guest post-install.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2008-05-10 13:26:47 EDT
Created attachment 305036 [details]
Support bootloader for xenner
Comment 2 Bug Zapper 2008-05-14 01:39:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Daniel Berrange 2008-11-04 06:11:34 EST
Fixed in libvirt 0.4.5

Note You need to log in before you can comment on or make changes to this bug.